# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%filter_from_requires /^python2.7.testresources./d
BuildRequires: python-module-pysqlite2
%define oldname python-storm
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-storm
Version:        0.19
Release:        alt1_3
Summary:        An object-relational mapper (ORM) for Python

Group:          Development/Python
License:        LGPLv2+
URL:            https://storm.canonical.com/
Source0:        https://launchpad.net/storm/trunk/%{version}/+download/storm-%{version}.tar.bz2
Source1:        README-Django.Fedora

BuildRequires:  python-devel python-module-setuptools

Provides:       %{oldname}-sqlite = %{version}-%{release}
Obsoletes:      %{oldname}-sqlite  < %{version}-%{release}
Source44: import.info

%description
Storm is an object-relational mapper (ORM) for Python. It offers a clean and
lightweight API offers a short learning curve and long-term maintainability and
it is easy to written backends for it.


%package    mysql
Summary:    MySQL backend for %{oldname}
Group:      Development/Python
Requires:   python-module-storm = %{version}-%{release}
Requires:   python-module-MySQLdb

%description mysql
The %%{oldname}-mysql package contains the MySQL database backend for
%%{oldname}.

%package    postgresql
Summary:    PostgreSQL backend for %{oldname}
Group:      Development/Python
Requires:   python-module-storm = %{version}-%{release}
Requires:   python-module-psycopg2

%description postgresql
The %%{oldname}-postgresql package contains the PostgreSQL database
backend for %%{oldname}.


%package    django
Summary:    Support for using %{oldname} as Django ORM
Group:      Development/Python
Requires:   Django
Requires:   %{name}-zope = %{version}-%{release}

%description django
The %%{oldname}-django package contains an alternative ORM implementation
for Django.


%package    zope
Summary:    Zope integration for %{oldname}
Group:      Development/Python
Requires:   python-module-storm = %{version}-%{release}
Requires:   python-module-zope.interface python-module-transaction

%description zope
The %%{oldname}-zope package provides Zope integration for %%{oldname}.


%prep
%setup -q -n storm-%{version}
#patch0 -p1
cp -p %{SOURCE1} .


%build
%{__python} setup.py build


%check
./test


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE NEWS README TODO tests/tutorial.txt
%exclude %{python_sitelibdir}/storm/django
%exclude %{python_sitelibdir}/storm/zope
%exclude %{python_sitelibdir}/storm/cextensions.c
%exclude %{python_sitelibdir}/storm/databases/mysql.*
%exclude %{python_sitelibdir}/storm/databases/postgres.*
%{python_sitelibdir}/storm*

%files django
%doc README-Django.Fedora
%{python_sitelibdir}/storm/django

%files zope
%{python_sitelibdir}/storm/zope

%files mysql
%{python_sitelibdir}/storm/databases/mysql.*

%files postgresql
%{python_sitelibdir}/storm/databases/postgres.*

%changelog
* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1_3
- fc import

